%define	upstream_name	 Spiffy
%define	upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Spiffy Perl Interface Framework For You
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildArch:  noarch

%description
"Spiffy" is a framework and methodology for doing object oriented (OO)
programming in Perl. Spiffy combines the best parts of Exporter.pm,
base.pm, mixin.pm and SUPER.pm into one magic foundation class. It
attempts to fix all the nits and warts of traditional Perl OO, in a clean,
straightforward and (perhaps someday) standard way.

Spiffy borrows ideas from other OO languages like Python, Ruby, Java and
Perl 6. It also adds a few tricks of its own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make 

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man*/*
%{perl_vendorlib}/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 514707
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 372673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 295171
- update to 0.31

* Wed Jan 19 2011 jquelin <jquelin> 0.30-5.mga1
+ Revision: 24259
- fix specs
- imported package perl-Spiffy


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.30-5mdv2010.1
+ Revision: 426589
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.30-4mdv2009.0
+ Revision: 224055
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.30-3mdv2008.1
+ Revision: 180566
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-2mdv2008.0
+ Revision: 18035
- rebuild


* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- 0.30

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.29-1mdk
- 0.29

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.27-1mdk
- 0.27

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.26-1mdk
- 0.26

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.25-1mdk
- 0.25

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.24-1mdk
- 0.24

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk 
- 0.23
- spec cleanup

* Wed Jan 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-1mdk
- 0.22

* Thu Dec 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- First MDK release

